package map 
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;

	/**
	 * RouteMarker
	 * 
	 * @author Charlie Chao
	 */
	public class RouteMarker extends Sprite
	{
		/**
		 * Components
		 */
		private var indexText:TextField;
		public var icon:Bitmap;
		
		public function RouteMarker(i:int, ix:int, iy:int, iconData:BitmapData) 
		{
			x = ix;
			y = iy;
			
			// setup text
			indexText = new TextField();
			indexText.defaultTextFormat = CommonStyle.MARKER_INDEX_FORMAT_TEXT;
			indexText.autoSize = TextFieldAutoSize.LEFT;
			indexText.selectable = false;
			indexText.text = String(i + 1);
			indexText.x = -indexText.width / 2;
			indexText.y = -indexText.height - 22;
			
			// draw marker
			icon = new Bitmap(iconData);
			icon.x = -icon.width / 2;
			icon.y = -icon.height;
			addChild(icon);
			
			addChild(indexText);
		}
		
	}

}