package ui.button 
{

	import flash.display.BitmapData;
	
	/**
	 * QuickFindButton
	 * 
	 * @author Charlie Chao
	 */
	public class QuickFindButton extends FlatButton 
	{
		
		public function QuickFindButton(labelText:String, x:int, y:int, width:int, height:int, iconData:BitmapData) 
		{
			super(labelText, x, y, width, height, iconData);
			bgAlpha = 0;
		}
		
		// draw button background
		override protected function drawBackground(down:Boolean = false):void 
		{
			graphics.clear();
			graphics.beginFill((down)?bgColorDown:bgColor, (down)?bgAlphaDown:bgAlpha);
			graphics.drawRect(0, 0, buttonWidth, buttonHeight);
			graphics.endFill();
			graphics.beginFill(CommonStyle.COLOR_SECONDARY);
			graphics.drawRect(0, buttonHeight - 1, buttonWidth, 1);
			graphics.endFill();
		}
		
	}

}