package map
{
	
	import flash.events.Event;
	
	/**
	 * MapEvent
	 * 
	 * @author Charlie Chao
	 */
	public class MapEvent extends Event 
	{
		/**
		 * States
		 */
		public static const CHANGE:String = "mapChange";
		public static const LAYER_TOGGLE:String = "layerToggle";
		
		/**
		 * Attributes
		 */
		public var params:Object;
		
		public function MapEvent(type:String, params:Object = null) 
		{ 
			super(type, true, false);
			this.params = params;
		} 
		
		public override function clone():Event 
		{ 
			return new MapEvent(type, params);
		} 
		
		public override function toString():String 
		{ 
			return formatToString("MapEvent", "type", "bubbles", "cancelable", "eventPhase"); 
		}
		
	}
	
}