package ui 
{
	
	import flash.events.Event;
	
	/**
	 * RouteEvent
	 * 
	 * @author Charlie Chao
	 */
	public class RouteEvent extends Event 
	{
		
		public static const CHANGE:String = "routeChange";
		public var params:Object;
		
		public function RouteEvent(type:String, params:Object)  
		{ 
			super(type, true, false);
			this.params = params;
			
		} 
		
		public override function clone():Event 
		{ 
			return new RouteEvent(type, params);
		} 
		
		public override function toString():String 
		{ 
			return formatToString("RouteEvent", "type", "bubbles", "cancelable", "eventPhase"); 
		}
		
	}
	
}