package ui 
{
	
	import flash.events.Event;
	
	/**
	 * ToastEvent
	 * 
	 * @author Charlie Chao
	 */
	public class ToastEvent extends Event 
	{
		
		public static const SHOW:String = "show";
		public var title:String;
		public var message:String;
		
		public function ToastEvent(type:String, title:String, message:String) 
		{ 
			super(type, true, false);
			this.title = title;
			this.message = message;
		} 
		
		public override function clone():Event 
		{ 
			return new ToastEvent(type, title, message);
		} 
		
		public override function toString():String 
		{ 
			return formatToString("ToastEvent", "type", "bubbles", "cancelable", "eventPhase"); 
		}
		
	}
	
}