package ui.button
{
	import flash.display.BitmapData;
	import flash.events.MouseEvent;
	import ui.panel.Panel;
	import ui.panel.PanelEvent;

	/**
	 * InfoButton
	 * 
	 * @author Charlie Chao
	 */
	public class InfoButton extends LinkedPanelButton 
	{
		// attributes
		public var infoID:String;				// id for info panel
			
		public function InfoButton(labelText:String, x:int, y:int, width:int, height:int, iconData:BitmapData, infoID:String)
		{
			super(labelText, x, y, width, height, iconData, Main.PANEL_INFO);
			this.infoID = infoID;
		}
		
		// opens panel
		override protected function openPanel(e:MouseEvent):void 
		{
			dispatchEvent(new PanelEvent(PanelEvent.PANEL_OPEN, { panel: linkedPanel, id: infoID }));
		}
		
	}

}