package ui.button 
{
	import flash.display.BitmapData;

	/**
	 * SideButtonLayers
	 * 
	 * @author Charlie Chao
	 */
	public class SideButtonLayers extends FlatButton 
	{
		
		public function SideButtonLayers(x:int, y:int, width:int, height:int, iconData:BitmapData)  
		{
			super(null, x, y, width, height, iconData);
			bgColor = CommonStyle.SIDE_BUTTON_COLOR_BG;
			bgColorDown = CommonStyle.SIDE_BUTTON_COLOR_BG_DOWN;
		}
		
		override protected function drawBackground(down:Boolean = false):void 
		{
			graphics.clear();
			graphics.beginFill((down)?bgColorDown:bgColor, (down)?bgAlphaDown:bgAlpha);
			//graphics.drawRect(0, 0, buttonWidth, buttonHeight - 16);
			//graphics.drawRect(16, buttonHeight-16, buttonWidth-16, 16);
			graphics.drawRoundRectComplex(0, 0, buttonWidth, buttonHeight, 0, 0, 8, 0);
			graphics.endFill();
		}
		
	}

}