package ui.panel 
{
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;

	/**
	 * EventsPanel
	 * 
	 * @author Charlie Chao
	 */
	public class EventsPanel extends Panel 
	{
		/**
		 * Constants
		 */
		public static const WIDTH:int = 300;
		public static const CONTENT_WIDTH:int = WIDTH - PADDING * 2;
		private static const CONTENT:String =
			"<b>November 2012</b>\n\nTest";
		
		/**
		 * Components
		 */
		 private var contentText:TextField;
		
		public function EventsPanel() 
		{
			super(WIDTH, Main.CATEGORY_MAIN_MENU, "main_menu_events", null);
			title.text = "Events";
			x = 0; // makes the panel fades in only
			
			// setup textfield
			contentText = new TextField();
			contentText.x = contentText.y = PADDING;
			contentText.defaultTextFormat = CommonStyle.INFO_FORMAT_TEXT;
			contentText.autoSize = TextFieldAutoSize.LEFT;
			contentText.width = CONTENT_WIDTH;
			contentText.multiline = true;
			contentText.wordWrap = true;
			contentText.htmlText = CONTENT;
			
			content.add(contentText);
			
			addChild(content);
		}
		
	}

}