package ui.panel
{
	
	import flash.events.Event;
	
	/**
	 * PanelEvent
	 * Updates a panel.
	 * @author Charlie Chao
	 */
	public class PanelEvent extends Event 
	{
		
		public static const PANEL_OPEN:String = "panelOpen";
		public static const PANEL_CHANGE:String = "panelChange";
		public var params:Object;
		
		public function PanelEvent(type:String, params:Object) 
		{ 
			super(type, true, true);
			this.params = params;
		} 
		
		public override function clone():Event 
		{ 
			return new PanelEvent(type, params);
		} 
		
		public override function toString():String 
		{ 
			return formatToString("PanelEvent", "type", "bubbles", "cancelable", "eventPhase"); 
		}
		
	}
	
}